Why do I get a Blocked Plugin error when trying to view videos?

Last Updated: Nov 07, 2014 02:40PM GMT
You are not running the latest version of Flash Player for Safari. Apple have disabled old versions from working on OS X due to a security issue. 

Please update to the latest version of Flash Player for the Safari browser and then restart MenuTab.

http://get.adobe.com/flashplayer/
desk@fiplab.com
http://assets2.desk.com/
fiplab
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
Invalid characters found
/customer/en/portal/articles/autocomplete